package edu.uoc.tfc.glucodiari;


import android.test.AndroidTestCase;

public class OpcionsTest extends AndroidTestCase{

    /**
     * Test que comprova que el mètode per recuperar i guardar l'idioma és correcte.
     */
    public void testGuardaRecuperaIdioma(){
        /* Guardar  l'idioma actual per restaurar-lo després */
        Opcions opcions = new Opcions();
        String idioma = opcions.getIdioma(this.getContext());

        /* Guardar un valor de prova */
        opcions.setIdioma(this.getContext(), "PROVA");

        /* Recuperar el valor de prova i comprovar si coincideix */
        assertEquals("ERROR EN IDIOMA RECUPERAT", "PROVA", opcions.getIdioma(this.getContext()));

        /* Tornar a guardar l'idioma original */
        opcions.setIdioma(this.getContext(), idioma);

        /* Comprovar que s'ha guardar l'idioma original */
        assertEquals("ERROR AL RESTAURAR IDIOMA", idioma, opcions.getIdioma(this.getContext()));
    }

    /**
     * Test que comprova que el mètode per recuperar i guardar l'estat de
     * l'opció colorejar és correcte.
     */
    public void testEstatColorejar(){
        Opcions opcions = new Opcions();
        boolean estat = opcions.getColorejar(this.getContext());

        /* Canviar estat del valor */
        if (estat){
            opcions.setColorejar(this.getContext(), false);
            /* Comprovar que ha canviat a fals */
            assertEquals("ERROR EN ESTAT OPCIO COLOREJAR", false, opcions.getColorejar(this.getContext()));
        }else {
            opcions.setColorejar(this.getContext(), true);
            /* Comprovar que ha canviat a cert */
            assertEquals("ERROR EN ESTAT OPCIO COLOREJAR", true, opcions.getColorejar(this.getContext()));
        }

        /* Tornar a guardar el valor com estava originalment */
        opcions.setColorejar(this.getContext(), estat);

        /* Comprovar que s'ha guardar el idioma original */
        assertEquals("ERROR AL RESTAURAR ESTAT", estat, opcions.getColorejar(this.getContext()));
    }
}
