package edu.uoc.tfc.glucodiari;


import android.test.AndroidTestCase;

import java.sql.SQLException;
import java.util.Arrays;

public class OperacionsDiariTest extends AndroidTestCase{

    /**
     * Test que comprova que a la base de dades SQLite es guarda un registre
     * i es pot recuperar correctament
     */
    public void testGuardarRecuperarRegistre() throws SQLException{
        /* Obrir Base de Dades */
        OperacionsDiari BD = new OperacionsDiari(this.getContext());
        BD.open();

        /* Guardar els valors actuals per restaurar-los després */
        String data = "2000-01-01";
        int[] valorsOriginals = BD.RecuperarRegistre(data);

        /* Guardar uns valors de prova */
        int[] valorsDeProva = new int[4];
        valorsDeProva[0] = 10; valorsDeProva[1] = 20; valorsDeProva[2] = 30; valorsDeProva[3] = 40;
        assertEquals("ERROR AL INSERIR VALORS DE PROVA", true, BD.InserirRegistre(data,valorsDeProva));

        /* Recuperar els valors de prova i comprovar si coincideixen */
        assertEquals("ERROR EN VALORS DE PROVA RECUPERATS", true, Arrays.equals(valorsDeProva, BD.RecuperarRegistre(data)));

        /* Tornar a guardar els valors original */
        assertEquals("ERROR AL INSERIR VALORS ORIGINALS", true, BD.InserirRegistre(data, valorsOriginals));

        /* Comprovar que s'han guardat els valors originals */
        assertEquals("ERROR EN VALORS ORIGINALS RECUPERATS", true, Arrays.equals(valorsOriginals,BD.RecuperarRegistre(data)));
    }
}
